Bug 1601618 (CVE-2018-14044)

Summary: CVE-2018-14044 soundtouch: Reachable assertion in RateTransposer::setChannels() causing denial of service
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: dtimms, hdegoede, otte, sergio
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
SoundTouch library is vulnerable to reachable assertion in RateTransposer::setChannels() function that can cause denial of service to applications using this library for processing the untrusted file input.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1601621, 1601619, 1601620, 1609174    
Bug Blocks: 1601622    

Description Laura Pardo 2018-07-16 23:02:09 UTC
A flaw was found in Olli Parviainen SoundTouch 2.0. The RateTransposer::setChannels function in RateTransposer.cpp in libSoundTouch.a allows remote attackers to cause a denial of service (assertion failure and application exit), as demonstrated by SoundStretch.


References:
https://github.com/TeamSeri0us/pocs/blob/master/soundtouch/readme.md

Comment 2 Laura Pardo 2018-07-16 23:03:45 UTC
Created soundtouch tracking bugs for this issue:

Affects: epel-6 [bug 1601621]
Affects: fedora-all [bug 1601620]

Comment 6 Adam Mariš 2018-07-27 09:29:45 UTC
Upstream issue:

https://gitlab.com/soundtouch/soundtouch/issues/7

Comment 7 Hans de Goede 2018-08-14 14:14:01 UTC
This is fixed by the following upstream commit:
https://gitlab.com/soundtouch/soundtouch/commit/107f2c5d201a4dfea1b7f15c5957ff2ac9e5f260